#! /usr/bin/env node

"use strict";
var path = require("path");
var args = process.argv.slice(2);
var toolName = args[0];
//国内
if (toolName == '-lan') {
    require("./bin/MainLan").run(args[1] || process.cwd());
}
//途游
if (toolName == '-jlw') {
    require("./bin/MainLanJlw").run(args[1] || process.cwd());
}
//小程序
if (toolName == '-chm') {
    require("./bin/MainLanChm").run(args[1] || process.cwd());
}
//海外
if (toolName == '-hw') {
    require("./bin/MainLanHw").run(args[1] || process.cwd());
}
//韩国
if (toolName == '-hg') {
    require("./bin/MainLanHg").run(args[1] || process.cwd());
}
if (toolName == '-crc') {
    require("./bin/FileCrc32").run(args[1] || path.join(process.cwd(), 'resource'));
}

if (toolName == '-pub') {
    require("./bin/pub/CqPub").run(args[1], args[2], args[3], args[4]);
}

if (toolName == '-acf') {
    require("./bin/AddChangeFile").run(args[1], args[2], args[3]);
}

if (toolName == '-mhx') {
    require("./bin/MainJSHX").run(args[1], args[2]);
}

if (toolName == '-ns') {
    require("./bin/AddNS").run(args[1]);
}

if (toolName == '-temp') {
    require("./bin/Temp").run(args[1], args[2]);
}

if (toolName == '-mct') {
    require("./bin/McTrans").run(args[1] || process.cwd());
}
if (toolName == '-eui') {//生成eui代码
    require("./bin/autocodeeui/autocodeeui").run(process.cwd(), args[1]);
}