const exec = require("child_process").exec;
const util = require('util');
const execAsync = util.promisify(exec);

export async function process(cwd, cmd, print) {
    const { stdout, stderr } = await execAsync(cmd, { cwd });
    if (print) {
        if (stdout) console.log(stdout);
        if (stderr) console.error(stderr);
    }
}